Skip to main content
`Ctrl`+`K`

# LMEProblemType

Determines the type of linear matrix equation.

## Synopsis

    typedef enum { LME_LYAPUNOV,
                   LME_SYLVESTER,
                   LME_GEN_LYAPUNOV,
                   LME_GEN_SYLVESTER,
                   LME_DT_LYAPUNOV ,
                   LME_STEIN} LMEProblemType;

## Values

- `LME_LYAPUNOV` - continuous-time Lyapunov equation

- `LME_SYLVESTER` - Sylvester equation

- `LME_GEN_LYAPUNOV` - generalized Lyapunov equation

- `LME_GEN_SYLVESTER` - generalized Sylvester equation

- `LME_DT_LYAPUNOV` - discrete-time Lyapunov equation

- `LME_STEIN` - Stein equation

## See Also

LME: Linear Matrix Equation, `LMESetProblemType()`, `LMEGetProblemType()`

## Level

beginner

## Location

include/slepclme.h

Index of all LME routines Table of Contents for all manual pages Index of all manual pages